> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onera.app/llms.txt
> Use this file to discover all available pages before exploring further.

# India Filing Text



## OpenAPI

````yaml /openapi.json get /india/filings/{artifact_id}/text
openapi: 3.1.0
info:
  title: Corpus API
  description: >-
    Point-in-time financial and governed-document data for the US, India, and
    China.
  version: '2026-07-20'
servers:
  - url: https://corpus-api.onera.app
    description: Production
security: []
paths:
  /india/filings/{artifact_id}/text:
    get:
      tags:
        - India · Annual Reports
      summary: India Filing Text
      operationId: india_filing_text_india_filings__artifact_id__text_get
      parameters:
        - name: artifact_id
          in: path
          required: true
          schema:
            type: string
            title: Artifact Id
        - name: start_character
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Start Character
        - name: max_characters
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                maximum: 100000
                minimum: 1
              - type: 'null'
            title: Max Characters
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IndiaFilingTextResponse'
        '400':
          description: Invalid parameter combination
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Missing or invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Insufficient jurisdiction or scope
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Unknown resource
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Request schema validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: Source content is unavailable or still processing
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - X-API-KEY: []
components:
  schemas:
    IndiaFilingTextResponse:
      properties:
        artifact_id:
          type: string
          title: Artifact Id
        text:
          type: string
          title: Text
        text_start_character:
          type: integer
          title: Text Start Character
          default: 0
        returned_characters:
          anyOf:
            - type: integer
            - type: 'null'
          title: Returned Characters
        total_characters:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Characters
        text_truncated:
          type: boolean
          title: Text Truncated
          default: false
        next_start_character:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Start Character
      type: object
      required:
        - artifact_id
        - text
      title: IndiaFilingTextResponse
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
        message:
          type: string
          title: Message
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
      type: object
      required:
        - error
        - message
      title: ErrorResponse
  securitySchemes:
    X-API-KEY:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Provisioned Corpus API key with the required jurisdiction and operation
        scopes.

````